/* ------------------------------ */
/* ----- Accordion (General) ---- */
/* ------------------------------ */

.section > .section__text + .section__accordion {
    padding-top: calc(var(--spacing-12) / 2);
}

.accordion {
    position: relative;
    border-bottom: 1px solid var(--brand-blue-shade);
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}

.section.section--blue-shade .accordion {
    border-color: var(--brand-cold-grey);
}

.accordion:first-child {
    border-top: 1px solid var(--brand-blue-shade);
}

.section.section--blue-shade .accordion:first-child {
    border-color: var(--brand-cold-grey);
}

.accordion__header {
    position: relative;
    cursor: pointer;
}
  
.accordion__header .row {
    margin: 0;
}
  
.accordion__content {
    display: none;
    overflow: hidden;
    padding: 0 0 var(--spacing-8) var(--spacing-12);
}

.accordion__media:not(.accordion__media--top) {
    margin-top: var(--spacing-7);
}

.accordion__media.accordion__media--top {
    margin-top: var(--spacing-2);
    margin-bottom: var(--spacing-7);
}

.accordion__content p:last-of-type, .accordion__content ul:last-of-type {
    margin-bottom: 0;
}

.accordion__content p:last-of-type + ul {
    margin-top: var(--spacing-5);
}

.accordion__content ul:last-of-type + p {
    margin-top: var(--spacing-6);
}


/* ------------------------------ */
/* ------ Simple Accordion ------ */
/* ------------------------------ */

.accordion__trigger {
    position: relative;
}

.accordion__trigger .accordion__trigger__icon {
    position: absolute;
    top: 50%;
    left: 0;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
}

.accordion__trigger .accordion__trigger__icon svg {
    position: relative;
    z-index: 1;
    -webkit-transition: -webkit-transform var(--transition-2);
    transition: -webkit-transform var(--transition-2);
    -o-transition: transform var(--transition-2);
    transition: transform var(--transition-2);
    transition: transform var(--transition-2), -webkit-transform var(--transition-2);
}

.section:not(.section--blue-shade) .accordion__trigger .accordion__trigger__icon svg {
    fill: var(--brand-blue-shade);
}

.section.section--blue-shade .accordion__trigger .accordion__trigger__icon svg {
    fill: var(--brand-cold-grey);
}

.no-touchevents .accordion__trigger:hover .accordion__trigger__icon svg {
    -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
            transform: scale(1.1);
}

.accordion__trigger .accordion__trigger__icon::before, .accordion__trigger .accordion__trigger__icon::after {
    content: "";
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 50%;
    height: 2px;
}

.section:not(.section--blue-shade) .accordion__trigger .accordion__trigger__icon::before, .section:not(.section--blue-shade) .accordion__trigger .accordion__trigger__icon::after {
    background-color: var(--brand-cold-grey);
}

.section--blue-shade .accordion__trigger .accordion__trigger__icon::before, .section--blue-shade .accordion__trigger .accordion__trigger__icon::after {
    background-color: var(--brand-blue-shade);
}

.accordion__trigger .accordion__trigger__icon::before {
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
}

.accordion__trigger .accordion__trigger__icon::after {
    -webkit-transition: -webkit-transform var(--transition-2);
    transition: -webkit-transform var(--transition-2);
    -o-transition: transform var(--transition-2);
    transition: transform var(--transition-2);
    transition: transform var(--transition-2), -webkit-transform var(--transition-2);
    -webkit-transform: translate(-50%, -50%) rotate(90deg);
        -ms-transform: translate(-50%, -50%) rotate(90deg);
            transform: translate(-50%, -50%) rotate(90deg);
}

.accordion--active .accordion__trigger .accordion__trigger__icon::after {
    -webkit-transform: translate(-50%, -50%) rotate(180deg);
        -ms-transform: translate(-50%, -50%) rotate(180deg);
            transform: translate(-50%, -50%) rotate(180deg);
}

.accordion__trigger h3 {
    margin: 0;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 992px) {

    .accordion__trigger {
        padding: 36px 0 29px var(--spacing-12);
    }

    .macos .accordion__trigger, .ios .accordion__trigger {
        padding-top: 33px;
        padding-bottom: 32px;
    }

    .accordion__trigger .accordion__trigger__icon::before, .accordion__trigger .accordion__trigger__icon::after {
        width: 12px;
    }

    .accordion__content {
        padding: 0 0 var(--spacing-8) var(--spacing-12);
    }

}


@media all and (min-width: 1240px) {

    .accordion__trigger .accordion__trigger__icon {
        height: 32px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {  

    .accordion__trigger .accordion__trigger__icon {
        height: 30px;
    }

}


@media all and (max-width: 991.98px) and (min-width: 576px) {

    .accordion__trigger {
        padding: 32px 0 24px var(--spacing-11);
    }

    .macos .accordion__trigger, .ios .accordion__trigger {
        padding-top: 28px;
        padding-bottom: 28px;
    }

    .accordion__trigger .accordion__trigger__icon {
        height: 26px;
    }

    .accordion__trigger .accordion__trigger__icon::before, .accordion__trigger .accordion__trigger__icon::after {
        width: 10px;
    }

    .accordion__content {
        padding: 0 0 var(--spacing-8) var(--spacing-11);
    }

}


@media all and (max-width: 575.98px) {

    .accordion__trigger {
        padding: 20px 0 15px 40px;
    }

    .macos .accordion__trigger, .ios .accordion__trigger {
        padding-top: 18px;
        padding-bottom: 17px;
    }

    .accordion__trigger .accordion__trigger__icon {
        height: 22px;
    }

    .accordion__trigger .accordion__trigger__icon::before, .accordion__trigger .accordion__trigger__icon::after {
        width: 8px;
    }

    .accordion__content {
        padding: 0 0 var(--spacing-8) 40px;
    }

}